<?php
/**
 * Plugin Name: Bee Abandoned
 * Plugin URI: https://www.beeplugin.com
 * Version: 1.0
 * Description:  Transform lost sales into sweet victories. This plugin buzzes to life, rescuing abandoned carts and guiding customers back to complete their purchases, ensuring no sale gets left behind in the hive of missed opportunities.
 * Author: beeplugindev
 * Author URI: https://www.beeplugin.com
 * Text Domain: bee_abandoned
 * Domain Path: languages
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 **/

// No direct file access
!defined('ABSPATH') AND exit;

if( !defined('BeeAban_FILE') ) {
	define('BeeAban_FILE', __FILE__);
}

if( !defined('BeeAban_PATH') ) {
	define('BeeAban_PATH', plugin_dir_path(__FILE__));
}

if( !defined('BeeAban_BASE') ) {
	define('BeeAban_BASE', plugin_basename(__FILE__));
}

if( !defined('BeeAban_URL') ) {
	define('BeeAban_URL', plugin_dir_url( __FILE__ ));
}

if( !defined('BeeAban_Version') ) {
	define('BeeAban_Version', '1.0');
}

function bee_abandoned_table_creation() {

	if (!wp_next_scheduled('bee_aband_sendemail')) {
        // Schedule the event to run every day at 11 PM
        wp_schedule_event(strtotime('23:00:00'), 'daily', 'bee_aband_sendemail');
    }

	global $wpdb;
	$table_name = $wpdb->prefix . 'bee_abandoned';

	if ($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {
		$charset_collate = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $table_name (
            id INT NOT NULL AUTO_INCREMENT,
            email VARCHAR(255) NOT NULL,
            user_id INT NOT NULL,
            items TEXT NOT NULL,
            abandoned INT NOT NULL,
            last_modified_date TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
            PRIMARY KEY (id)
        ) $charset_collate;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
	}
}
register_activation_hook( BeeAban_FILE , 'bee_abandoned_table_creation' );

function bee_abandoned_remove_corn() {
	wp_clear_scheduled_hook('bee_aband_sendemail');
}
register_deactivation_hook( BeeAban_FILE , 'bee_abandoned_remove_corn');

require BeeAban_PATH . 'includes/class-bee-abandoned-loader.php';
$BeeAban_Loader = new BeeAban_Loader();